-- ----------------------------------------------------------------------------
goalGatherFilesSamples.mSteps = 
{
	{ action = "click", object = objectPoiMedfileChristine, started = true },
	{ action = "click", object = objectHoFile01 },
	{ action = "click", object = objectHoFile02 },
	{ action = "click", object = objectHoFile03 },
	{ action = "click", object = objectHoFile04 },
	{ action = "click", object = objectHoSpecimen01 },
	{ action = "click", object = objectHoSpecimen02 },
	{ action = "click", object = objectHoSpecimen03 },
}
-- ----------------------------------------------------------------------------
goalGatherFilesSamples.readyToStart = false
-- ----------------------------------------------------------------------------
function goalGatherFilesSamples:shouldStart()

	return self.readyToStart

end
-- ----------------------------------------------------------------------------
function goalGatherFilesSamples:onStarted()

	objectHoFile01:ss(kActive)
	objectHoFile02:ss(kActive)
	objectHoFile03:ss(kActive)
	objectHoFile04:ss(kActive)
	objectHoFileChristine:ss(kHidden)
	objectHoSpecimen01:ss(kActive)
	objectHoSpecimen02:ss(kActive)
	objectHoSpecimen03:ss(kActive)

end
-- ----------------------------------------------------------------------------
function goalGatherFilesSamples:onFinished()
	
	objectIoStoveDoor:ss(kActive)

end
-- ----------------------------------------------------------------------------
function goalGatherFilesSamples:onMovieFinish(movieName)

	if (movieName == kMovieGhost) then
		self.readyToStart = true		
	end

end
-- ----------------------------------------------------------------------------
function goalGatherFilesSamples:onClickHO(layout, object, props, x, y)

	if (self:isStarted()) then
		self:checkAchieved()
	end
	
end
-- ----------------------------------------------------------------------------
function goalGatherFilesSamples:onLayoutHide(layout)

	if (self:isStarted()) then
		self:checkAchieved()
	end

end
-- ----------------------------------------------------------------------------
function goalGatherFilesSamples:checkAchieved()

	if ((objectHoFile01:isFound()) and
		(objectHoFile02:isFound()) and
		(objectHoFile03:isFound()) and
		(objectHoFile04:isFound()) and
		(objectHoFileChristine:isFound()) and
		(objectHoSpecimen01:isFound()) and
		(objectHoSpecimen02:isFound()) and
		(objectHoSpecimen03:isFound())) then
		self:achieved()

	end

end